MCP Gateway
ApiAdmin registry

Put Registry

Create or update the container registry (upsert).

PUT
/api/v1/admin/registry

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

access_token?|

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v1/admin/registry" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "url": "string",    "username": "string"  }'
{
  "id": "string",
  "name": "string",
  "url": "string",
  "username": "string",
  "created_at": "string",
  "updated_at": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}